%Generate a bubble distribution based on inputs of percentual amount of
%bubbles in set size intervals

close

disp(' ')
disp('Specify bubble diameter distribution')
disp('Enter % of bubbles in each range of bubble diameters')
disp(' ')

%Input
p(1)=0;
p(2)=input('0.0-0.1 mm: ');
p(3)=input('0.1-0.2 mm: ');
p(4)=input('0.2-0.4 mm: ');
p(5)=input('0.4-0.6 mm; ');
p(6)=input('0.6-0.8 mm: ');
p(7)=input('0.8-1.0 mm: ');
p(8)=input('1.0-1.3 mm: ');
p(9)=input('1.3-1.6 mm: ');
p(10)=input('1.6-1.9 mm: ');
p(11)=input('1.9-2.2 mm: ');
p(12)=input('2.2-2.5 mm: ');
p(13)=input('2.5-3.0 mm: ');
p(14)=input('3.0-3.5 mm: ');
p(15)=input('3.5-5.0 mm: ');
p(16)=input('5.0-7.0 mm: ');
p(17)=input('7.0-10.0 mm: ');
p(18)=input('10.0-15.0 mm: ');
p(19)=input('15.0-20.0 mm: ');


% Mean diameter value of each range which the input 
% values are plotted against:
Dmean=[0 0.05 0.15 0.3 0.5 0.7 0.9 1.15 1.35 1.75 2.05 ... 
    2.35 2.75 3.25 4.25 6 8.5 13.5 17.5];
maxDia=Dmean(19);

% Generate cumulative diameter distribution by summing up input values:
DiaDist=p/sum(p);
CumDiaDist(1)=DiaDist(1);
i=2;
for i=2:19
    CumDiaDist(i)=CumDiaDist(i-1)+DiaDist(i);
    i=i+1;
end
CumDiaDist=CumDiaDist*100;

% Generate cumulative volume distribution by summing up the volumes to the
% corresponding input values: 
Volume=(pi/6)*Dmean.^3;
i=1;

for i=1:19
    Volumepart(i)=p(i)*Volume(i);
    
    i=i+1;
end

sumVolumepart=sum(Volumepart);

VolumeDist=Volumepart/sumVolumepart;

CumVolDist(1)=VolumeDist(1);
i=2;
for i=2:19
    CumVolDist(i)=CumVolDist(i-1)+VolumeDist(i);
    i=i+1;
end
CumVolDist=100*CumVolDist;


%Generate plot of the three distributions:
scnsize=get(0,'ScreenSize');

figure('Name', 'Bubble and Volume Distribution', 'NumberTitle', ...
    'off', 'Position',[1 scnsize(4)/3 scnsize(3)/1.5 scnsize(4)/2])
sub1=subplot(1,3,1,'position',[0.04 0.1100 0.27 0.8]); ...
    plot(Dmean,p,'LineWidth',1.5)
axis ('tight', 'square');
title('Bubble Distribution')
xlabel('Diameter [mm]')
ylabel('(ni/N) %')
sub2=subplot(1,3,2,'position',[0.37 0.1100 0.27 0.8]); ...
    plot(Dmean,CumDiaDist,'LineWidth',1.5)
axis ('tight', 'square');
title('Cumulative Bubble Distribution')
xlabel('Diameter [mm]')
ylabel('Bubble %')
sub3=subplot(1,3,3,'position',[0.70 0.1100 0.27 0.80]); ...
    plot(Dmean,CumVolDist,'LineWidth',1.5)
axis ('tight', 'square');
title('Cumulative Volume Distribution')
xlabel('Diameter [mm]')
ylabel('Volume %')


