% Generating the bubble size distribution in liquid after separation

% Adjusting the original distribution values by using the resulting
% percentage share of bubbles left in each segment and weighted in
% accordance with volume and part of bubble distribution in each segment.
demm2=flipud(demm);
lengthdemm=length(demm);
i=1;
for i=1:351
    if D(i)<demm2(1)
        p2(i)=pa(i);
    end
    t=2;
    for t=2:(lengthdemm)
       if D(i)<=demm2(t)&&D(i)>demm2(t-1)
           p2(i)=pa(i)*(1-sum(Segmentfraction(1:(t-1))));
       end
       t=t+1;
    end
    if D(i)>=demm2(end)
        p2(i)=0*pa(i);
    end
    i=i+1;
end
p2smooth=smooth(D,p2,0.1,'rloess');

% Generate new cumulative diameter distribution by summing up new 
% density values:
a=size(p2);
DiaDist2=p2/sum(p2);
CumDiaDist2(1)=DiaDist2(1);
i=2;
for i=2:a(2)
    CumDiaDist2(i)=CumDiaDist2(i-1)+DiaDist2(i);
    i=i+1;
end
CumDiaDist2=CumDiaDist2*100;


% Generate new cumulative volume distribution by summing up the volumes to
% the corresponding new distribution values: 

for i=1:351
    Volumepart2(i)=p2(i)*Volume(i);
    
    i=i+1;
end

sumVolumepart2=sum(Volumepart2);

VolumeDist2=Volumepart2/sumVolumepart2;

CumVolDist2(1)=VolumeDist2(1);
i=2;
for i=2:351
    CumVolDist2(i)=CumVolDist2(i-1)+VolumeDist2(i);
    i=i+1;
end
CumVolDist2=100*CumVolDist2;


%Generate combined plot of the distributions before and after separation.
scnsize=get(0,'ScreenSize');

figure('Name', 'Bubble and Volume Distribution after separation',...
    'NumberTitle', 'off', 'Position',[1 1 scnsize(3)/1.5 scnsize(4)/2])

sub1=subplot(1,3,1,'position',[0.04 0.1100 0.27 0.8]); ...
    plot(D,pa,D,p2smooth,'LineWidth',1.5)
axis ('tight', 'square');
title('Bubble Distribution')
xlabel('Diameter [mm]')
ylabel('(ni/N) %')
h1=legend('Before separation','After separation','Location','NorthEast');
set(h1,'Interpreter','none')
sub2=subplot(1,3,2,'position',[0.37 0.1100 0.27 0.8]); ...
    plot(D,CumDiaDista,D,CumDiaDist2,'LineWidth',1.5)
axis ('tight', 'square');
title('Cumulative Bubble Distribution')
xlabel('Diameter [mm]')
ylabel('Bubble %')
h2=legend('Before separation','After separation','Location','SouthEast');
set(h2,'Interpreter','none')
sub3=subplot(1,3,3,'position',[0.70 0.1100 0.27 0.80]); ...
    plot(D,CumVolDista,D,CumVolDist2,'LineWidth',1.5)
axis ('tight', 'square');
title('Cumulative Volume Distribution')
xlabel('Diameter [mm]')
ylabel('Volume %')
h3=legend('Before separation','After separation','Location','SouthEast');
set(h3,'Interpreter','none')