%Start procedure for the program where problem and fluid properties are
%determnined

clear all;
close

%Determine separator type, how to set bubble distribution and whether
%liquid height or retention times should be set.
disp(' ')
disp(['Program for determining gas left in oil using correlations '])
disp('for terminal velocity and bubble size distributions')
disp(' ')
disp('Vertical or horizontal separator?')
VH=input('Type v for vertical, h for horizontal: ', 's');
disp(' ')
disp('Do you want to specify the bubble size distribution yourselves or ')
disp('use an already set probability distribution?')
OG=input('Type o for own, p for probability distribution: ', 's');
disp(' ')
disp(['Do you want to specify liquid retention time or liquid ' ...
    'height in separator?'])
RH=input('Type r for retention time, l for liguid height: ', 's');
disp(' ')
disp('Determine liquid and gas properties:')

%Set liquid and gas properties
my=input('Liquid viscosity [cP]: ');
my=my/1000;
rl=input('Liquid density [kg/m3]: ');
sig=input('Liquid surface tension [N/m]: ');
rg=input('Gas density [kg/m3]: ');
g=9.81;


%Selects script to run based on the selections done above
if VH=='v'
    if OG=='o'
        if RH=='r'
        run Vsep1a
        return
        end
        if RH=='l'
        run Vsep1b
        return
        end
    end
   if OG=='p'
       if RH=='r'
       run Vsep2a
       return
       end
       if RH=='l'
       run Vsep2b
       return
       end
   end
end

if VH=='h'
    if OG=='o'
        if RH=='r'
        run Hsep1a
        return
        end
        if RH=='l'
        run Hsep1b
        return
        end
    end
   if OG=='p'
       if RH=='r'
       run Hsep2a
       return
       end
       if RH=='l'
       run Hsep2b
       return
       end
   end
end
   
   
