% Vertical separator with bubble distribtion from specificed values.
% Liquid height as input.

run BubbleDistributionRayleigh %Calls the bubble distribution script

%Set separator characteristics:
disp(' ')
disp('Specify separator properties: ')
R=input('Separator raduis[m]: ');
Q=input('Flowrate[m3/s]: ');
H=input('Liquid height: ');

%Calculate the last separator characteristics:
Ac=pi*R^2;
Vliq=Q/Ac;
Vliqcm=Vliq*100;
t=H/Vliq;

%Display calculated separator characteristics:
disp(' ')
disp(['Cross sectional area: ' num2str(Ac) ' m2'])
disp(['Retention time: ' num2str(t) ' m'])
disp(['Liquid velocity: ' num2str(Vliqcm) ' cm/s'])

% Procedure for determining the required bubble diameter required to 
% obtain a terminal velocity equal to the liquid velocity. 
i=1;  
de=0.0001;
prop=1;
iterations=1;

while prop<1.0001 & iterations<10000 %Iteration procedure
    de=de+0.00015;
    
    Ar=g*rl*(de^3)*(rl-rg)/(my^2);
    
    if Ar<13000
        Cd=(432/Ar)*(1+0.0470*(Ar^(2/3)))+0.517/(1+154*(Ar^(-1/3)));
    else
        Cd = 0.95;
    end
    
    Re=rl*Vliq*de/my;
    
    M=g*(my^4)*(rl-rg)/((rl^2)*(sig^3));
    
    Ta=Re*M^0.23;
    
    if Ta<=2.11;
        dedh=1;
        elseif Ta<=5.46
        dedh=1.14*Ta^-0.176;
        elseif Ta<=16.53
        dedh=1.36*Ta^-0.28;
        else
        dedh=0.62;
    end
    
    ut1=(((4/3)*g*de(i)/Cd)^0.5)*dedh;
    
    prop=ut1/Vliq;
   
    iterations=iterations+1;
end
   
% Displaying results:
demm=de*1000;

disp(' ')
disp('Minimum bubble terminal velocity: ')
disp(Vliqcm)
disp('Minimum bubble diameter: ')
disp(demm)


Diapercent=100-interp1(Dmean,CumDiaDist,demm);
disp('Percentage share of bubbles that reach surface')
disp(Diapercent)

TotVolSep=(100-interp1(Dmean,CumVolDist,demm));
TotVolUnsep=100-TotVolSep;

disp(['Amount of gas seperated out: ' num2str(TotVolSep) ' %' ])
disp(['i.e. ' num2str(TotVolUnsep) ' % of the inlet '...
    'GVF is still in the oil' ])








